PETSc version 3.15.5
Fix/Edit manual page

# PetscLayoutSetBlockSize

Sets the block size for a PetscLayout object.

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutSetBlockSize(PetscLayout map,PetscInt bs)

Logically Collective on PetscLayout

### Input Parameters

| map | - pointer to the map
| bs | - the size

### Notes

Call this after the call to PetscLayoutCreate()

### See Also

PetscLayoutCreate(), PetscLayoutSetLocalSize(), PetscLayoutGetLocalSize(), PetscLayoutGetBlockSize(),
PetscLayoutGetRange(), PetscLayoutGetRanges(), PetscLayoutSetSize(), PetscLayoutGetSize(), PetscLayoutSetUp()

### Level

developer

### Location

src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages